/***************************************************************************
                          commanddialog.cpp  -  description
                             -------------------
    begin                : Wed Oct 31 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <klocale.h>
#include <kmessagebox.h>
#include "kshowmail.h"
#include "commanddialog.h"
#include "commandentrydialog.h"

CommandDialog::CommandDialog(QWidget *parent, const char *name, CommandList* list, ConfigElem* pConfig, ConfigList* pConfigList):
	CommandDlg(parent,name,true),
//	m_locallist (*list), we don't have a proper copy contructor
	m_plist (list),
	m_pConfigList (pConfigList),
	m_pConfig (pConfig)
{
	m_locallist = *list;
	int index = list->at ();
	for (unsigned int i = 0; i < list->count(); i ++)
	{
		m_ComboCommand->insertItem (m_locallist.at (i)->m_name);
	}
	m_locallist.at (index);
	m_ComboCommand->setCurrentItem (index);
}

CommandDialog::~CommandDialog()
{
}

void CommandDialog::slotAdd ()
{
	CommandEntry* entry = new CommandEntry ();
	CommandEntryDialog dlg (this, "New command", entry, m_pConfig);
	if (dlg.exec () == QDialog::Accepted)
	{
		m_locallist.append (entry);
		int pos = m_locallist.at ();
    m_locallist.setCombo (m_ComboCommand, pos);
  }
	else
		delete entry;
}

void CommandDialog::slotEdit ()
{
	if (m_locallist.current ())
	{
		CommandEntryDialog dlg (this, "Edit command", m_locallist.current (), m_pConfig);
		if (dlg.exec () == QDialog::Accepted)
		{
			// the command name may have changed. Update the combo box.
			int pos = m_locallist.at ();
      m_locallist.setCombo (m_ComboCommand, pos);
		}
	}
}

void CommandDialog::slotCopy ()
{
	if (m_locallist.current ())
	{
		CommandEntry* entry = new CommandEntry (m_locallist.current ());
		CommandEntryDialog dlg (this, "Copy command", entry, m_pConfig);
		if (dlg.exec () == QDialog::Accepted)
		{
			m_locallist.append (entry);
			int pos = m_locallist.at ();
      m_locallist.setCombo (m_ComboCommand, pos);
		}
		else
			delete entry;
	}
}

void CommandDialog::slotDelete ()
{
	if (m_locallist.current())
	{
		if (KMessageBox::warningYesNo (this, i18n("Command %1 will be deleted.\nAre you sure ?").arg(m_locallist.current()->m_name)) == KMessageBox::Yes)
		{
			int pos = m_locallist.at ();
			m_locallist.remove (pos);
      m_locallist.setCombo (m_ComboCommand, pos);
		}
	}
}

void CommandDialog::slotOk ()
{
	*m_plist = m_locallist;
	int index = m_locallist.at ();
	for (unsigned int i = 0; i < m_plist->count (); i++)
	{
		if (m_plist->at (i)->m_name == "complain")
			m_plist->at (i)->m_id = ID_OPTION_COMPLAIN;
		else
			m_plist->at (i)->m_id = ID_OPTION_COMPLAIN + 1 + i;
	}
	if (m_pConfigList->m_bExternalProg && (m_pConfigList->m_nExternalProg >= m_plist->count ()))
	{
		m_pConfigList->m_bExternalProg = false;
		m_pConfigList->m_nExternalProg = -1;
	}
	m_plist->at (index);
	accept ();
}

void CommandDialog::slotCommandActivated (int index)
{
	m_locallist.at (index); // will set current item
}


