/***************************************************************************
                          commanddialog.h  -  description
                             -------------------
    begin                : Wed Oct 31 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMMANDDIALOG_H
#define COMMANDDIALOG_H

#include <qwidget.h>
#include "CommandDlg.h"
#include "commandlist.h"
#include "configelem.h"
#include "configlist.h"

/**
  *@author Eggert Ehmke
  */

#define ID_OPTION_COMPLAIN 13000

class ConfigList;

class CommandDialog : public CommandDlg
{
   Q_OBJECT
public: 
	CommandDialog(QWidget *parent, const char *name, CommandList* list, ConfigElem* pConfig, ConfigList* pConfigList);
	~CommandDialog();
private slots:
  virtual void slotAdd ();
  virtual void slotEdit ();
  virtual void slotCopy();
  virtual void slotDelete ();
  virtual void slotOk ();
  virtual void slotCommandActivated (int);
private:
	CommandList* m_plist;
	CommandList m_locallist;
	ConfigList* m_pConfigList;
	ConfigElem* m_pConfig;
};

#endif
