/***************************************************************************
                          commandentry.h  -  description
                             -------------------
    begin                : Thu Jul 20 2000
    copyright            : (C) 2000-2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMMANDENTRY_H
#define COMMANDENTRY_H

#include <qdialog.h>
#include <qpopupmenu.h>

#include <ktoolbar.h>

#include "configelem.h"

/**
  *@author Eggert Ehmke
  */

class CommandEntry
{
	public:
	CommandEntry () {};
	CommandEntry (const char* name, const char* path, const int id, const bool modal)
	: m_name (name), m_path (path), m_id (id), m_waitForCommand (modal) {};
	CommandEntry (const CommandEntry* copy)
	: m_name (copy->m_name), m_path (copy->m_path), m_id (copy->m_id), m_waitForCommand (copy->m_waitForCommand) {};
	CommandEntry& operator = (const CommandEntry& entry);
	bool exec (ConfigElem* pelem = NULL, const char* header = NULL, const char* body = NULL);
	bool exec (const QString& path, ConfigElem* pelem, const char* header = NULL, const char* body = NULL);
	QString m_name;
	QString m_path;
	int m_id;
  bool m_waitForCommand;
};

#endif
