/***************************************************************************
                          commandentrydialog.cpp  -  description
                             -------------------
    begin                : Wed Oct 31 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qwidget.h>
#include <qlineedit.h>
#include <qfileinfo.h>
#include <qfiledialog.h>
#include <qcheckbox.h>
#include <klocale.h>
#include "commandentry.h"
#include "commandentrydialog.h"

CommandEntryDialog::CommandEntryDialog(QWidget *parent, const char *name, CommandEntry* entry, ConfigElem* pConfigElem):
	CommandEntryDlg(parent,name,true),
	m_pentry (entry),
	m_pConfigElem (pConfigElem)
{
	m_EditName->setText (entry->m_name);
	m_EditPath->setText (entry->m_path);
  m_checkModal->setChecked(entry->m_waitForCommand);
	m_EditName->setFocus ();
}

CommandEntryDialog::~CommandEntryDialog(){
}

void CommandEntryDialog::slotPath ()
{
	QFileInfo info (m_EditPath->text ());
	QString dir = info.dirPath ();
	QFileDialog dlg (this, "Command", TRUE);
	dlg.setCaption (i18n("Select Command"));
	dlg.setDir (dir);
	dlg.setMode (QFileDialog::ExistingFile);
  if (dlg.exec () == QDialog::Accepted)
  	m_EditPath->setText (dlg.selectedFile());
}

void CommandEntryDialog::slotOk ()
{
	QString name = m_EditName->text();
	QString path = m_EditPath->text();
	if (!name.isEmpty() && !path.isEmpty())
	{
		m_pentry->m_name = name;
		m_pentry->m_path = path;
    m_pentry->m_waitForCommand = m_checkModal->isChecked();
    accept ();
	}
}

void CommandEntryDialog::slotTest ()
{
	m_pentry->exec (m_EditPath->text(), m_pConfigElem);
}
