/***************************************************************************
                          commandlist.h  -  description
                             -------------------
    begin                : Wed Oct 31 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMMANDLIST_H
#define COMMANDLIST_H

#include <qptrlist.h>
#include "configelem.h"
#include "commandentry.h"

/**
  *@author Eggert Ehmke
  */

class CommandList : public QPtrList<CommandEntry>
{
	public:
	CommandList ();
	virtual ~CommandList();
	void setCombo (QComboBox* combo, int nIndex);
	CommandList& operator = (CommandList& right);
	bool exec (unsigned int id, ConfigElem* pelem, const char* header, const char* body);
	bool exec (unsigned int pos, ConfigElem* pelem);
	void readOptions (KConfig* config);
	void saveOptions (KConfig* config);
	protected:
	virtual int compareItems (QCollection::Item item1, QCollection::Item item2);
	virtual QCollection::Item newItem (QCollection::Item d);
};

#endif
