/***************************************************************************
                          configelem.h  -  description
                             -------------------
    begin                : Tue May 9 2000
    copyright            : (C) 2000-2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIGELEM_H
#define CONFIGELEM_H

#include <qstring.h>
#include <qlistview.h>
#include <qdom.h>
#include <kurl.h>
#include <kconfig.h>
#include "showrecord.h"

class ConfigElem {
public: 
	ConfigElem ();
	ConfigElem (const ConfigElem* pElem);
	ConfigElem (const QString& account);
	ConfigElem (const QString& account, const KURL& url, bool active);
	ConfigElem& operator = (const ConfigElem& right);
	~ConfigElem();
  /**  */
  void saveOptions (QDomDocument& doc, QDomElement& parent, bool bSavePassword);
  /**  */
  void readOptions (QDomElement& parent, bool bSavePassword);
  void applyFilters();
  ShowRecordElem* first ();
  ShowRecordElem* current ();
  ShowRecordElem* next ();
  ShowRecordElem* prev ();
  ShowRecordElem* at (int i);
  void append (ShowRecordElem*);
  void removeRef (ShowRecordElem*);
  int count ();

	bool m_bActive;
	QListViewItem* m_pViewItem;
  QString m_strAccount;
	KURL m_url;
	ShowRecord* m_pshowrecord;
};

#endif
