/***************************************************************************
                          configlist.h  -  description
                             -------------------
    begin                : Tue May 9 2000
    copyright            : (C) 2000-2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de

    26 Sep 2002 - Allow for columns to be hidden. Allistar Melville
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIGLIST_H
#define CONFIGLIST_H

#include <qptrlist.h>
#include <qlistview.h>
#include <kcombobox.h>

#include "configelem.h"
#include "commanddialog.h"
#include "commandlist.h"

class ConfigList : public QPtrList<ConfigElem>
{
public:
	ConfigList ();
	virtual ~ConfigList () {};
	ConfigList (ConfigList& list);
	ConfigList& operator = (ConfigList& list);
	void saveOptions ();
	void readOptions (QListView* list);
	bool setItem (const char* item);
	void setCombo (QComboBox* combo);
	void skipHighLight ();
	void nextHighLight ();
	void setList (QListView* list);
	void beep ();
	void playSound ();			
	void playSound (const char* file);			
	void startProgram (CommandList* pCmdList, ConfigElem* pElem);
  void applyFilters();
	bool m_bSavePassword;
	bool m_bConfirmDelete;
	bool m_bConfirmSend;
	int m_nInitTimer;
	int m_nIntervalTimer;
  uint m_nPop3Timer;
	uint m_nMaxMailSize;
	bool m_bBeep;
	bool m_bSound;
	bool m_bExternalProg;
	QString m_strSoundFile;
	int m_nExternalProg;
  /** true if the application should terminate if no new messages are there */
  bool m_bTerminate;
  /**  */
  bool m_bStartMinimized;
  /** true if the window should be minimized if no new mail is there */
  bool m_bMinimize;
  bool m_bKeepNew;
  bool m_bShowMessage;
  bool m_bShowMainWindow;
  //Addition by AM
  bool m_shownAccountColumns[6];
  bool m_shownMailColumns[8];
  // allow HTML formatting
  bool m_bAllowHTML;
  bool m_bConfirmClose;
private:
	QString m_ConfigFileName;

protected:
	virtual int compareItems (QCollection::Item item1, QCollection::Item item2 );
	virtual QCollection::Item newItem (QCollection::Item item);
};

#endif
