/***************************************************************************
                          editdialog.cpp  -  description
                             -------------------
    begin                : Wed Oct 31 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlayout.h>
#include <qmultilineedit.h>
#include <qlabel.h>
#include <qlineedit.h>
#include "editdialog.h"

EditDialog::EditDialog(QWidget *parent, const char *name, const char* content, bool html):
	EditDlg(parent,name,true), _row(0)
{
	setCaption (name);
  if (html)
    m_Edit->setTextFormat (Qt::RichText);
	m_Edit->setText (content);
}

void EditDialog::addWidget (const QString& lbl, const QString& value)
{
  QLabel* label = new QLabel (lbl, this);
  QLineEdit* edit = new QLineEdit (this);
  edit->setReadOnly (true);
  edit->setText (value);
  headerlayout->addMultiCellWidget (label, _row, _row, 0, 0);
  headerlayout->addMultiCellWidget (edit, _row++, _row, 1, 1);
}

EditDialog::~EditDialog()
{}

void EditDialog::slotReplyClicked ()
{
  done (10);
}
