/***************************************************************************
                          filterentrydialog.h  -  description
                             -------------------
    begin                : Mit Sep 24 2003
    copyright            : (C) 2003 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILTERENTRYDIALOG_H
#define FILTERENTRYDIALOG_H

#include <qwidget.h>
#include "filterelem.h"
#include "FilterEntryDlg.h"

/**
  *@author Eggert Ehmke
  */

class FilterEntryDialog : public FilterEntryDlg  {
   Q_OBJECT
public: 
	FilterEntryDialog(QWidget *parent, const char *name, FilterElem* elem);
	~FilterEntryDialog();
public slots:
  virtual void slotOk ();
  virtual void slotItem1Selected (int);
  virtual void slotItem2Selected (int);
  virtual void slotSecondCondition (int);
  virtual void slotCondition1Selected(int);
  virtual void slotCondition2Selected(int);
  virtual void slotMatch1Changed(const QString&);
  virtual void slotMatch2Changed(const QString&);
  virtual void slotResetCounter();
  virtual void slotCounterChanged(int);
  virtual void slotEditRegExp1();
  virtual void slotEditRegExp2();
  virtual void slotToggleRegExp1(bool);
  virtual void slotToggleRegExp2(bool);

private:
  FilterElem* _elem;
};

#endif
