/***************************************************************************
                          kshowmailview.h  -  description
                             -------------------
    begin                : Sat May  6 12:13:57 MEST 2000
    copyright            : (C) 2000-2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de

    26 Sep 2002 - Allow for columns to be hidden. Allistar Melville
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSHOWMAILVIEW_H
#define KSHOWMAILVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

// include files for Qt
#include <qwidget.h>
#include <qsplitter.h>

#include <klistview.h>
#include <configlist.h>

#include <kconfig.h>

class KshowmailDoc;

/** The KshowmailView class provides the view widget for the KShowMailApp instance.	
 * The View instance inherits QWidget as a base class and represents the view object of a KMainWindow. As KshowmailView is part of the
 * docuement-view model, it needs a reference to the document object connected with it by the KShowMailApp class to manipulate and display
 * the document structure provided by the KshowmailDoc class.
 * 	
 * @author Source Framework Automatically Generated by KDevelop, (c) The KDevelop Team.
 * @version KDevelop version 0.4 code generation
 */
class KshowmailView : public QSplitter
{
  Q_OBJECT
  public:
    /** Constructor for the main view */
    KshowmailView(QWidget *parent = 0, const char *name=0);
    /** Destructor for the main view */
    ~KshowmailView();
		void readOptions (KConfig* config);
		void saveOptions (KConfig* config);
		void showOrHideColumns(ConfigList *configList); //AM

    /** returns a pointer to the document connected to the view instance. Mind that this method requires a KShowMailApp instance as a parent
     * widget to get to the window document pointer by calling the KShowMailApp::getDocument() method.
     *
     * @see KShowMailApp#getDocument
     */
    KshowmailDoc *getDocument() const;
		KListView* m_pListAccounts;
		KListView* m_pListMessages;

private: // Private attributes
  /**  */
  QPixmap* m_pixOk;
private slots:
	void slotMessageContext (QListViewItem* pItem, const QPoint & point, int col);
	void slotMessageDoubleClicked (QListViewItem* pItem);
  void slotAccountContext (QListViewItem* pItem, const QPoint & point, int col);
	void slotAccountClicked (QListViewItem* pItem, const QPoint & point, int col);
signals:
	void signalActiveChanged ();
};

#endif // KSHOWMAILVIEW_H
