/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fre Sep 28 23:29:54 CEST 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kuniqueapplication.h>
#include <klocale.h>
#include <kdebug.h>

#include "uniqueapp.h"
#include "kshowmail.h"

static const char *description =
	I18N_NOOP("A powerful pop3 mail checker");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
static KCmdLineOptions kshowmailOptions[] =
{
  { "r", 0, 0},
  { "refresh", I18N_NOOP("Refresh messages now"), 0 },
  { "c", 0, 0},
  { "config", I18N_NOOP("Launch configure dialog"), 0 },
  { "+[account]", I18N_NOOP("Select account"), 0},
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  QString msg;
  if (argc > 1)
  	msg = argv [1];
  else
  	msg = "-refresh";
  	
//  ktrace ();

  KShowMailApp::m_pAbout = new KAboutData (
/*appName    */ "kshowmail",
/*programName*/ "KShowmail",
/*version    */ VERSION,
/*description*/ description,
/*license    */ KAboutData::License_GPL_V2,
/*copyright  */ "(C) 2000-2003, Eggert Ehmke",
/*text       */ 0,
/*homepage   */ "http://sourceforge.net/projects/kshowmail",
/*bug email  */ "eggert.ehmke@berlin.de");
  KShowMailApp::m_pAbout->addAuthor ("Eggert Ehmke", 0, "eggert.ehmke@berlin.de", "http://kshowmail.sourceforge.net");
  KShowMailApp::m_pAbout->addAuthor ("Allistar Melville", 0, "allistar@silvermoon.co.nz", 0);
  KShowMailApp::m_pAbout->setTranslator(I18N_NOOP("_: NAME OF TRANSLATORS\nYour names") ,I18N_NOOP("_: EMAIL OF TRANSLATORS\nYour emails"));
  KCmdLineArgs::init(argc, argv, KShowMailApp::m_pAbout);
  KCmdLineArgs::addCmdLineOptions(kshowmailOptions);

#if 0

  kdDebug () << "KShowmail running in debug mode" << endl;
  KApplication::addCmdLineOptions();

  KApplication app;
  KShowMailApp* kshow = new KShowMailApp ();
  kshow->show();
  app.exec();

#else

  kdDebug () << "KShowmail running in normal mode" << endl;
  KUniqueApplication::addCmdLineOptions();

  if (KUniqueApplication::start())
  {
  	UniqueApp* app = new UniqueApp ();
  	app->exec ();
  }
  else
  {
    kdWarning() << I18N_NOOP ("Kshowmail is already running!") << endl;
  }

#endif

  return 0;
}

