/***************************************************************************
                          optiondialog.h  -  description
                             -------------------
    begin                : Fri Oct 26 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPTIONDIALOG_H
#define OPTIONDIALOG_H

#include <qwidget.h>
#include "OptionDlg.h"
#include "configlist.h"
#include "commandlist.h"

/**
  *@author Eggert Ehmke
  */

class OptionDialog : public OptionDlg  {
   Q_OBJECT
public: 
	OptionDialog(QWidget *parent, const char *name, ConfigList* config, CommandList* cmd);
	~OptionDialog();
public slots:
  virtual void slotButtonAddClicked();
  virtual void slotButtonEditClicked();
  virtual void slotButtonCopyClicked();
  virtual void slotButtonDeleteClicked();
  virtual void slotButtonOkClicked();
	virtual void slotAccountActivated (int index);
	virtual void slotSavePasswordToggled ();
	virtual void slotButtonSelectSoundFile ();
	virtual void slotMinimizeNoMailClicked ();
	virtual void slotTerminateNoMailClicked ();
	virtual void slotSoundTest ();
	virtual void slotExternalProgTest ();
private:
	ConfigList m_ConfigList;
	ConfigList* m_pConfigList;
	CommandList* m_pCmdList;
};

#endif
