/***************************************************************************
                          serverdialog.cpp  -  description
                             -------------------
    begin                : Sun Oct 28 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qspinbox.h>
#include <qmessagebox.h>
#include <qcheckbox.h>

#include <klocale.h>

#include "serverdialog.h"

ServerDialog::ServerDialog(QWidget *parent, const char *name, ConfigElem* elem, ConfigList* list):
	ServerDlg(parent,name,true),
	m_pConfigList (list),
	m_pElem (elem)
{
	m_EditAccount->setText (elem->m_strAccount);
	m_EditServer->setText (elem->m_url.host());
	m_ComboProtocol->insertItem ("pop3");
	m_SpinPort->setValue (elem->m_url.port());
	m_EditUser->setText (elem->m_url.user());
	m_EditPassword->setText (elem->m_url.pass());
	CheckActive->setChecked (elem->m_bActive);

	if (list)
	{
		setCaption (i18n ("New account"));
		m_EditAccount->setFocus ();
	}
	else
	{
		setCaption (i18n ("Edit account"));
		m_EditAccount->setReadOnly (true);
//		m_EditAccount->setEnabled (false);
		m_EditServer->setFocus ();
	}
}

ServerDialog::~ServerDialog()
{
}

void ServerDialog::slotButtonOkClicked()
{
	m_pElem->m_strAccount = m_EditAccount->text ();
	m_pElem->m_url.setHost (m_EditServer->text ());
	m_pElem->m_url.setProtocol (m_ComboProtocol->text (0));
	m_pElem->m_url.setPort (m_SpinPort->value ());
	m_pElem->m_url.setUser (m_EditUser->text ());
	m_pElem->m_url.setPass (m_EditPassword->text ());
	m_pElem->m_bActive = CheckActive->isChecked ();

	if (m_pConfigList == NULL)
		accept ();
	else
	{
		if (m_pElem->m_strAccount.isEmpty ())
		{
			QMessageBox::critical (this, i18n ("Error"), i18n ("The account must have a name"), 0, 0, 0);
		}
		else
		{
			int nIndex = m_pConfigList->at ();
 			if (m_pConfigList->find (m_pElem) < 0)
				accept ();
			else
			{
				m_pConfigList->at (nIndex);	// set current again
				QMessageBox::critical (this, i18n ("Error"), i18n ("This account is already present"), 0, 0, 0);
			}
		}
	}
}

