/***************************************************************************
                          showrecord.cpp  -  description
                             -------------------
    begin                : Mon Dec 3 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qdom.h>
#include <kstandarddirs.h>
#include <kdebug.h>
#include "showrecord.h"

ShowRecord::ShowRecord()
{
	setAutoDelete (true);
}

ShowRecord::~ShowRecord()
{
}

void ShowRecord::saveOptions (QDomDocument& doc, QDomElement& parent)
{
  for (ShowRecordElem* pElem = first(); pElem; pElem = next())
  {
  	pElem->saveOptions (doc, parent);
  }
}

void ShowRecord::readOptions (QDomElement& parent)
{
  QDomNode n = parent.firstChild();
  while (!n.isNull())
  {
    QDomElement e = n.toElement();
		ShowRecordElem* pElem = new ShowRecordElem();
    pElem->readOptions (e);
		append (pElem);
    n = n.nextSibling();
	}
}

void ShowRecord::applyFilters ()
{
  for (ShowRecordElem* pElem = first(); pElem; pElem = next())
  {
  	pElem->applyFilters ();
  }
}
