/***************************************************************************
                          showrecord.h  -  description
                             -------------------
    begin                : Thu Dec 28 2000
    copyright            : (C) 2000-2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SHOWRECORDELEM_H
#define SHOWRECORDELEM_H

#include <qdom.h>
#include <qstring.h>
#include <qlistview.h>
#include <qdatetime.h>

#include "showlistviewitem.h"
#include "filterelem.h"

/**
  *@author Eggert Ehmke
  */

class FilterElem;
  
class ShowRecordElem
{
public:
	ShowRecordElem ();
	ShowRecordElem (int size);
	void scanHeader (const QString& item ,QCString& headerline);
	void setNumber (int n)                  { m_nNumber = n;      };
	void setHeader (const QString& header);
	void setUIDL (const QString& uidl)      { m_uidl = uidl;      };
	void setSize (int size)                 { m_size = size;      };
	void setViewItem (const ShowListViewItem* item){  m_pItem = (ShowListViewItem*)item;  };
	void setNew (bool isnew)                { m_new = isnew;      };
	void setDeleted ();
  void setFilter (FilterElem* filter)     { m_pFilter = filter; };
  
	int number () const { return m_nNumber; };
	QString header () const { return m_header; };
	QString from () const;
	QString to () const;
	QString subject () const;
	QString date () const;
	QString strUnixTime () const;
	QString uidl () const { return m_uidl; };
	int size () const { return m_size; };
	QString strSize () const;
	ShowListViewItem* viewItem () const { return m_pItem; };
	bool deleted () const { return m_deleted; };
	bool isNew () const { return m_new; };
	QString state () const;
	QString content () const { return m_content; };
	void saveOptions (QDomDocument& doc, QDomElement& elem);
	void readOptions (QDomElement& elem);
  void applyFilters();
private:
	void setFrom (const QString& from)      { m_from = from;      };
	void setTo (const QString& to)          { m_to = to;          };
	void setSubject (const QString& subject){ m_subject = subject; };
	void setDate (const QString& date);
	void setContent (const QString& content){ m_content = content; };
	int m_nNumber;
	QCString m_header;
	QCString m_from;
  QCString m_to;
	QCString m_subject;
	QCString m_strDate;
	QCString m_uidl;
  QDateTime m_unixDate;
	ShowListViewItem* m_pItem;
	int m_size;
	bool m_deleted;
	bool m_new;
	QCString m_content;
  FilterElem* m_pFilter;
};

#endif
