/***************************************************************************
                          uniqueapp.cpp  -  description
                             -------------------
    begin                : Mon Nov 19 2001
    copyright            : (C) 2001 by Eggert Ehmke
    email                : eggert.ehmke@berlin.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kwin.h>
#include <kcmdlineargs.h>
#include "uniqueapp.h"
#include "kshowmail.h"

UniqueApp::UniqueApp()
{
	m_pApp = NULL;
}

UniqueApp::~UniqueApp()
{}

int UniqueApp::newInstance ()
{
	if (m_pApp == NULL)
	{
		m_pApp = new KShowMailApp ();
	}

	if (m_pApp->m_ConfigList.m_bStartMinimized)
  {
    m_pApp->showMinimized ();
    m_pApp->hide();
  }
  else
  {
    m_pApp->showNormal ();
    m_pApp->raise();
  }
	
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
	
	if (args->isSet ("config"))
	{
		m_pApp->slotSetupAccounts ();
	}
	
	if (args->isSet ("refresh"))
	  m_pApp->slotRefresh ();
	args->clear ();
	return 0;
}
